<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title>FunCoding Chapter 3</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://fonts.googleapis.com/css?family=Raleway:400,300,600" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="asset/css/normalize.css">
    <link rel="stylesheet" href="asset/css/skeleton.css">
    <link rel="stylesheet" type="text/css" href="asset/css/style.css">
    <link rel="stylesheet" type="text/css" href="asset/css/ge.css">
    <link rel="stylesheet" type="text/css" href="asset/noty/lib/noty.css"></link>
    <script type="text/javascript" src="asset/js/jquery.js"></script>
    <script src="asset/noty/lib/noty.js"></script>
    <script type="text/javascript" src="asset/js/funcoding.js"></script>
    <script type="text/javascript" src="asset/js/level3_backend.js"></script>
    <script type="text/javascript" src="asset/js/general_backend.js"></script>
    <script type="text/javascript" src="asset/js/participantData.js"></script>
</head>

<body background="asset/img/background-01.png">
    <div class="container u-full-width u-max-full-width">
        <div class="row" style="margin-top: 20px">
			<div class="three columns">
				<h6>Selamat Bermain, <br> <span id="participantGender"></span> <b><span id="participantName"></span></b> !</h6>
			</div>
			<div class="six columns">
				<h2>Repetitive Tasks</h2>
				<h3>Loop and Intro to Function</h3>
			</div>
        </div>
        <div class="row">
            <div class="four columns">
                <div class="row">
					<textarea class="status-container" name="code" id="code" style="width:100%"></textarea>
                </div>
				<div class="row">
					<button class="whitebg six columns" onclick="onClick()">Jalankan Kode</button>
					<button class="whitebg six columns" onclick="resetCode()">Reset</button>
				</div>
            </div>
            <div class="three columns">
                <div class="status-container">
                    <div id="game-status"></div>
                </div>
            </div>
            <div class="five columns">
                <div class="game-container">
                    <div style="position: relative">
                        <div id="game-root"></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="line"></div>
        <footer>
            Handcrafted by Game Development SIG Ristek Fasilkom UI
        </footer>

        <div id="introModal" class="modal fade">
                <div class="modal-content">
                    <h2>Sedikit lagi!</h2>
                    <p>Lanjutkan perjalananmu!</p>
                    <button type="button" class="button button-primary" onclick="closeModal('level3')">Start!</button>
                </div>
            </div>
    
            <div id="outroModal" class="modal fade">
                    <div class="modal-content">
                        <h2>Tahukah anda?</h2>
                        <p>Salah satu dosen Fasilkom UI, Fariz Darari, Ph.D, adalah peneliti Indonesia pertama yang meraih Semantic Web Science Association (SWSA) Distinguished Dissertation Award, yang mana merupakan apresiasi tertinggi di tingkat internasional untuk disertasi pada bidang Semantic Web.</p>
                        <button type="button" class="button button-primary" onclick="hideOutroModal()">Close</button>
                    </div>
            </div>
		
		<div id="myModal" class="modal">
			<div class="modal-content">
				<h2>Aduh!</h2>
				<p>Kamu belum mengisi data di Landing Page!</p>
				<a class="button button-primary" href="index.html">Bawa aku ke sana!</a>
			</div>
		</div>
		
    </div>
</body>

</html>
